diff --git a/buildroot/share/fonts/get-bdf2u8g.sh b/buildroot/share/fonts/get-bdf2u8g.sh
index e7dca2bef456c1d3d5629c1e54a0613e462f5913..5851bf93e3a4f4de7fa977fa6e481e123215370d 100755
--- a/buildroot/share/fonts/get-bdf2u8g.sh
+++ b/buildroot/share/fonts/get-bdf2u8g.sh
@@ -12,6 +12,10 @@
 
 HERE=$(pwd)
 
+for CMD in curl unzip patch make; do
+  which $CMD >/dev/null || { echo "'$CMD' is required for this script." ; exit 1 ; }
+done
+
 [[ $HERE =~ 'buildroot/share/fonts'$ ]] || { echo "Change to buildroot/share/fonts to run $(basename $0)" ; exit 1; }
 
 # Download u8glib